Skip to main content
POST
/
v1
/
quote
curl -X POST https://zap.dzap.io/v1/quote \
  -H "Content-Type: application/json" \
  -d '{
    "srcToken": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913",
    "srcChainId": 8453,
    "destToken": "0xd0b53D9277642d899DF5C87A3966A349A798F224",
    "destChainId": 8453,
    "amount": "5000000",
    "recipient": "0x99BCEBf44433E901597D9fCb16E799a4847519f6",
    "slippage": 0.5,
    "account": "0x99BCEBf44433E901597D9fCb16E799a4847519f6"
  }'
{
  "status": "success",
  "data": {
    "amountOut": "918943376897193",
    "approvalData": {
      "callTo": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913",
      "approveTo": "0x1d46863e3592745008b5CbbAC12014F67329A9b8",
      "amount": "1680715"
    },
    "path": [
      {
        "action": "swap",
        "protocol": { "id": "dzap", "name": "Dzap Aggregator" },
        "input": [{ "amount": "1680715", "asset": { "symbol": "USDC", "chainId": 8453 } }],
        "output": [{ "amount": "918943376897193", "minReturn": "918024433520296", "asset": { "symbol": "WETH" } }],
        "estimatedDuration": 10
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.dzap.io/llms.txt

Use this file to discover all available pages before exploring further.

Returns the best path for the requested operation, including approval data, expected output, and per-step fees.

Body

srcToken
string
required
Source token address. Use 0xEeeeeEeeeEeEeeEeEeEeeEEEeeeeEeeeeeeeEEeE for native.
srcChainId
integer
required
Source chain ID.
destToken
string
required
Destination token (or LP/NFT) address.
destChainId
integer
required
Destination chain ID. Same as srcChainId for same-chain.
amount
string
Amount to swap or liquidity to add (in wei). Optional for some operations.
recipient
string
required
Recipient address for the resulting tokens / position.
slippage
number
required
Slippage tolerance, in percent. 0.5 = 0.5%.
account
string
required
Account initiating the zap.
permit
string
Encoded Permit2 data for ERC20 tokens (optional).
positionDetails
object
NFT-related operation details (e.g. Uniswap V3 LP NFT).
poolDetails
object
Pool-specific details for liquidity operations.
allowedBridges
string[]
Whitelist of bridges to consider.
allowedDexes
string[]
Whitelist of swap protocols to consider.

Response

status
string
"success" on 200.
data.amountOut
string
Estimated output amount (in destination token wei).
data.approvalData
object
Approval to grant before executing.
data.path
object[]
Ordered list of steps. Each step: action, protocol, input[], output[], fee[], estimatedDuration.

Examples

curl -X POST https://zap.dzap.io/v1/quote \
  -H "Content-Type: application/json" \
  -d '{
    "srcToken": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913",
    "srcChainId": 8453,
    "destToken": "0xd0b53D9277642d899DF5C87A3966A349A798F224",
    "destChainId": 8453,
    "amount": "5000000",
    "recipient": "0x99BCEBf44433E901597D9fCb16E799a4847519f6",
    "slippage": 0.5,
    "account": "0x99BCEBf44433E901597D9fCb16E799a4847519f6"
  }'
{
  "status": "success",
  "data": {
    "amountOut": "918943376897193",
    "approvalData": {
      "callTo": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913",
      "approveTo": "0x1d46863e3592745008b5CbbAC12014F67329A9b8",
      "amount": "1680715"
    },
    "path": [
      {
        "action": "swap",
        "protocol": { "id": "dzap", "name": "Dzap Aggregator" },
        "input": [{ "amount": "1680715", "asset": { "symbol": "USDC", "chainId": 8453 } }],
        "output": [{ "amount": "918943376897193", "minReturn": "918024433520296", "asset": { "symbol": "WETH" } }],
        "estimatedDuration": 10
      }
    ]
  }
}